Subject: [Bitcoin-development] [PULL] When parsing base58 data, accept [0O] as o, and [l|!] as 1

From: "Luke-Jr" <[email-masked]>
Date: Fri, 12 Aug 2011 12:19:50 -0400

http://tinyurl.com/3gpvrhm

git fetch git://gitorious.org/~Luke-Jr/bitcoin/luke-jr-bitcoin.git \
 base58_liberal_parsing && git merge FETCH_HEAD

This simple modification allows base58 inputs to use zero and uppercase 'O' in 
place of lowercase 'O', as well as lowercase 'L', bar/pipe, and exclamation 
point in place of one. This allows more tolerance when inputting addresses or 
other data by manual typing, and gives a bit more variety to vanity addresses.